from wx_gzh.wx_message_data import messageData
from common import Material
import concurrent.futures
import schedule
import time


def video_start(user_data):
    messageData.wx_data(user_data)
    print(f"执行完成")
# name_list = Material.feishu_list()
# video_start(name_list[0])
# 定义定时任务
def video_task():
    print("开始执行")
    data = Material.feishu_list()
    if len(data) == 0:
        print("没有可执行脚本")
        return
    # 创建一个线程池
    with concurrent.futures.ThreadPoolExecutor() as executor:
        futures = {executor.submit(video_start, user_data): user_data for user_data in data}
        for future in concurrent.futures.as_completed(futures):
            try:
                # 获取每个任务的执行结果
                result = future.result()
                print("处理结果:", result)
            except concurrent.futures.TimeoutError:
                future.cancel()
                print("任务超时，已取消.")
            except Exception as e:
                print("处理任务时出现异常:", e)

#每10分钟执行次脚本
schedule.every(10).minutes.do(video_task)


while True:
    schedule.run_pending()
    time.sleep(1)